Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516575 - ERROR -- : [NoMethodError]: undefined method `*' while generating Chargeback reports for cloud providers with volumes
Summary: ERROR -- : [NoMethodError]: undefined method `*' while generating Chargeback...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Libor Pichler
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On:
Blocks: 1517956
TreeView+ depends on / blocked
 
Reported: 2017-11-23 00:09 UTC by Nandini Chandra
Modified: 2018-06-21 20:24 UTC (History)
4 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1517956 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:24:05 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)

Description Nandini Chandra 2017-11-23 00:09:15 UTC
Description of problem:
----------------------
I ran into this error while generating Chargeback reports for cloud providers with volumes.

Snippet from evm.log:

[----] E, [2017-11-22T14:49:22.390846 #13241:74313c] ERROR -- : [NoMethodError]: undefined method `*' for nil:NilClass  Method:[block in method_missing]
[----] E, [2017-11-22T14:49:22.391042 #13241:74313c] ERROR -- : /var/www/miq/vmdb/app/models/chargeback_rate_detail.rb:104:in `block in find_rate'
/opt/rh/cfme-gemset/gems/activerecord-5.0.6/lib/active_record/relation/delegation.rb:38:in `each'
/opt/rh/cfme-gemset/gems/activerecord-5.0.6/lib/active_record/relation/delegation.rb:38:in `each'
/var/www/miq/vmdb/app/models/chargeback_rate_detail.rb:104:in `detect'
/var/www/miq/vmdb/app/models/chargeback_rate_detail.rb:104:in `find_rate'
/var/www/miq/vmdb/app/models/chargeback_rate_detail.rb:123:in `hourly_cost'
/var/www/miq/vmdb/app/models/chargeback_rate_detail.rb:228:in `metric_and_cost_by'
/var/www/miq/vmdb/app/models/chargeback_rate_detail.rb:90:in `charge'
/var/www/miq/vmdb/app/models/chargeback.rb:137:in `block (2 levels) in calculate_costs'
/var/www/miq/vmdb/app/models/chargeback.rb:136:in `each'
/var/www/miq/vmdb/app/models/chargeback.rb:136:in `block in calculate_costs'
/var/www/miq/vmdb/app/models/chargeback.rb:135:in `each'
/var/www/miq/vmdb/app/models/chargeback.rb:135:in `calculate_costs'
/var/www/miq/vmdb/app/models/chargeback.rb:33:in `block in build_results_for_report_chargeback'
/var/www/miq/vmdb/app/models/chargeback/consumption_history.rb:27:in `block (2 levels) in for_report'
/var/www/miq/vmdb/app/models/chargeback/consumption_history.rb:25:in `each'
/var/www/miq/vmdb/app/models/chargeback/consumption_history.rb:25:in `block in for_report'
/var/www/miq/vmdb/app/models/chargeback/consumption_history.rb:9:in `each'
/var/www/miq/vmdb/app/models/chargeback/consumption_history.rb:9:in `each_cons'
/var/www/miq/vmdb/app/models/chargeback/consumption_history.rb:9:in `for_report'
/var/www/miq/vmdb/app/models/chargeback.rb:20:in `build_results_for_report_chargeback'
/var/www/miq/vmdb/app/models/chargeback_vm.rb:62:in `build_results_for_report_ChargebackVm'
/var/www/miq/vmdb/app/models/miq_report/generator.rb:199:in `_generate_table'
/var/www/miq/vmdb/app/models/miq_report/generator.rb:173:in `block in generate_table'
/var/www/miq/vmdb/app/models/user.rb:246:in `with_user'
/var/www/miq/vmdb/app/models/miq_report/generator.rb:173:in `generate_table'
/var/www/miq/vmdb/app/models/miq_report/generator/async.rb:94:in `_async_generate_table'
/var/www/miq/vmdb/app/models/miq_queue.rb:449:in `block in dispatch_method'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:91:in `block in timeout'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `block in catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:106:in `timeout'
/var/www/miq/vmdb/app/models/miq_queue.rb:448:in `dispatch_method'
/var/www/miq/vmdb/app/models/miq_queue.rb:425:in `block in deliver'
/var/www/miq/vmdb/app/models/user.rb:253:in `with_user_group'
/var/www/miq/vmdb/app/models/miq_queue.rb:425:in `deliver'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:104:in `deliver_queue_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:134:in `deliver_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:152:in `block in do_work'


Version-Release number of selected component (if applicable):
------------------------------------------------------------
5.9.0.9


How reproducible:
----------------
Always


Steps to Reproduce:
------------------
1.Manage a cloud provider with volumes.
2.Enable C&U collection for the provider.
3.Generate a Chargeback report so that the report includes storage allocated costs for relevant volume types.


Actual results:
---------------
Error while generating Chargeback reports.


Expected results:
----------------
Chargeback reports should be successfully run.


Additional info:
---------------


Note You need to log in before you can comment on or make changes to this bug.